package gr.uoi.programmedtextview;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Color;
import android.graphics.Typeface;
import android.os.Bundle;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    LinearLayout mainLayout=null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        mainLayout.setBackgroundColor(Color.BLUE);
        mainLayout.setOrientation(LinearLayout.VERTICAL);
        setContentView(mainLayout);
        TextView t1=new TextView(this);
        t1.setTextSize(24);
        t1.setTextColor(Color.parseColor("#ffbb01"));
        t1.setText("This is a simple text");
        mainLayout.addView(t1);
        TextView t2=new TextView(this);
        t2.setTextSize(12);
        t2.setTypeface(Typeface.defaultFromStyle(Typeface.BOLD));
        t2.setText(getString(R.string.texttwo));
        t2.setTextColor(Color.WHITE);
        mainLayout.addView(t2);
    }
}